curl --request GET \
--url https://admin.devmain.flowxai.dev/rtm/api/runtime/app/{appId}/build/info \
--header "Authorization: Bearer <token>" \
--header "Flowx-Platform: web"
{
"buildId": "<string>",
"applicationId": "<string>",
"buildSettings": {
"applicationVersionId": "<string>",
"platforms": "<string>",
"themeId": "<string>",
"dateDisplayFormat": {
"format": "<string>"
},
"numberDisplayFormat": {
"minDecimals": 123,
"maxDecimals": 123
},
"currencyDisplayFormat": {
"format": "<string>"
},
"defaultLanguageCode": "<string>"
},
"Access-Control-Allow-Credentials": true,
"Access-Control-Allow-Headers": "<string>",
"Access-Control-Allow-Methods": "<string>",
"Access-Control-Allow-Origin": "<string>",
"Content-Encoding": "<string>",
"Content-Type": "<string>",
"Strict-Transport-Security": "<string>",
"Vary": "<string>",
"X-Content-Type-Options": "<string>",
"X-XSS-Protection": "<string>"
}Get Build Info
This endpoint retrieves information about the build of a specific project, as set by the Active policy.
GET
/
rtm
/
api
/
runtime
/
app
/
{appId}
/
build
/
info
curl --request GET \
--url https://admin.devmain.flowxai.dev/rtm/api/runtime/app/{appId}/build/info \
--header "Authorization: Bearer <token>" \
--header "Flowx-Platform: web"
{
"buildId": "<string>",
"applicationId": "<string>",
"buildSettings": {
"applicationVersionId": "<string>",
"platforms": "<string>",
"themeId": "<string>",
"dateDisplayFormat": {
"format": "<string>"
},
"numberDisplayFormat": {
"minDecimals": 123,
"maxDecimals": 123
},
"currencyDisplayFormat": {
"format": "<string>"
},
"defaultLanguageCode": "<string>"
},
"Access-Control-Allow-Credentials": true,
"Access-Control-Allow-Headers": "<string>",
"Access-Control-Allow-Methods": "<string>",
"Access-Control-Allow-Origin": "<string>",
"Content-Encoding": "<string>",
"Content-Type": "<string>",
"Strict-Transport-Security": "<string>",
"Vary": "<string>",
"X-Content-Type-Options": "<string>",
"X-XSS-Protection": "<string>"
}Base URL
- Always prepend the endpoint with the correct Base URL.
- For different environments (like staging or production), switch the base URL accordingly.
This endpoint is only accessible via the admin environment. Ensure that you are using the correct admin base URL when making requests.
Authorization
string
required
Bearer authentication header of the form Bearer
<token>, where <token> is your auth token.Request headers
string
required
Bearer token required for authentication. Format:
Bearer <token>.string
Specifies the media types that are acceptable for the response. Defaults to accepting JSON and plain text responses.
string
Indicates supported content encoding algorithms for the response.
string
Specifies language preferences for the response.
Path Parameters
string
required
The unique identifier of the application whose build information is being retrieved.
curl --request GET \
--url https://admin.devmain.flowxai.dev/rtm/api/runtime/app/{appId}/build/info \
--header "Authorization: Bearer <token>" \
--header "Flowx-Platform: web"
Response Fields
string
The unique identifier of the build.
string
The ID of the application associated with the build.
object
Contains configuration settings related to the build.
Show Properties
Show Properties
string
The version ID of the application associated with the build.
string
Indicates the supported platforms for the build (e.g.,
OMNICHANNEL).string
The ID of the theme applied to the build.
object
Defines the format used for displaying dates.
Show Properties
Show Properties
string
Specifies the date format style (e.g.,
short).object
object
Defines the format used for displaying currency.
Show Properties
Show Properties
string
Specifies the format for displaying currency (e.g.,
isoCode).string
The default language code for the build (e.g.,
en for English).Response Headers
boolean
Indicates whether the response can be exposed when credentials are present. Example:
true.string
Lists the allowed headers in the actual request.
string
Specifies the allowed HTTP methods.
string
Indicates the allowed origin for cross-origin requests.
string
Specifies the encoding used to compress the response.
string
Indicates the media type of the response content.
string
Enforces secure (HTTPS) connections to the server.
string
Specifies that the response may vary based on the
Accept-Encoding request header.string
Prevents the browser from MIME-sniffing a response away from the declared
Content-Type.string
Controls the cross-site scripting (XSS) filter. Example:
0 (disabled).Last modified on March 7, 2025
โI

